%bcond_with check

%global goipath         github.com/montanaflynn/stats
Version:                0.6.6

%gometa

%global common_description %{expand:
A well tested and comprehensive Golang statistics library package with no
dependencies.}

%global golicenses      LICENSE
%global godocs          examples CHANGELOG.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Well tested and comprehensive Golang statistics library package

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
